<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Natalia's Tartas</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Dancing+Script:wght@500&family=Ephesis&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="src/css/font-awesome.css">
    <link rel="stylesheet" href="style.css">
    
</head>
<body>
    <header>
            <div class = "logo"><img src="src/img/logo.png" alt="Logo"></div>
    </header>
    <nav class="menu">
        <ul class="UlMenu">
            <li><a href=""><i class="fa fa-home"></i> На главную</a></li>
            <li><a href=""><i class="fa fa-user"></i> Обо мне</a></li>
            <li><a href=""><i class="fa fa-birthday-cake"></i> Портфолио</a></li>
            <li><a href=""><i class="fa fa-shopping-cart"></i> Услуги</a>
            <ul>
                <li><a href="#">Торты </a>
                    <ul>
                        <li><a href="#" #="">Свадебные торты</a></li>
                        <li><a href="#" #="">Торты на дни рождения</a></li>
                        <li><a href="#" #="">WOW-торты</a></li>
                    </ul>
                </li>
                <li><a href="#">Candy bar</a>
                    <ul>
                        <li><a href="#" #="">Шоколадные конфеты</a></li>
                        <li><a href="#" #="">Трюфели</a></li>
                        <li><a href="#" #="">WOW-торты</a></li>
                    </ul>
                </li>    
                <li><a href="#">Зефир</a></li>
                <li><a href="#">Подарочные наборы</a></li>
            </ul>
            </li>
            <li><a href=""><i class="fa fa-th-list"></i> Акции</a>
                <ul>
                    <li><a href="#" #="">Активные</a></li>
                    <li><a href="#" #="">Прошедшие</a></li>
                </ul>
            </li>
            <li><a href="#" onclick="slowScroll('#contacts')"><i class="fa fa-phone-square"></i> Контакты</a></li>
            <li> <a href="">Язык</a>
                <ul>
                    <li><a href="#" #=""><img src="src/icons/Spain.png"alt="icon" height="20" width="20"> Испанский</a></li>
                    <li><a href="#" #=""><img src="src/icons/Russia.png"alt="icon" height="20" width="20"> Русский</a></li>
                    <li><a href="#" #=""><img src="src/icons/uk.png"alt="icon" height="20" width="20"> Английский</a></li>
                    <li><a href="#" #=""><img src="src/icons/ukraine.png"alt="icon" height="20" width="20"> Украинский</a></li>
                </ul>
            </li>
        </ul>
    </nav>
    <main class="homePage">
        <div class="homePagePhoto">
            <div class="homePagePhoto2">
            </div>
            <div class="homePagePhoto3">
            </div>
        </div>
    </main>
<section id="contacts" class="contacts">
    <div class="shadowBorder"></div>
        <div class="divFlaxing">
        <div   class="divContacts">
            <div class="socialNetworks">
                <ul>
                <li>Больше моих работ вы сможете найте в соцсетях:</li>
                <p></p>
                <li><img src="src/icons/fb.png" alt="icon"><a href="https://www.facebook.com/profile.php?id=100019516802238"> Natalia Tartas</a></li>
                <li><img src="src/icons/inst.png" alt="icon"><a href="https://www.instagram.com/natalyatartas/">natalyatartas</a></li>
                </ul>
            </div>
            <div>
                <ul>
                <li class="text">Вы можете оставить завку, заполнив форму: </li>
                </ul>    
            </div>
            <div class="contain_app">
                <form id="tg">
                    <div class="txList">
                        <ul>
                        <li>Ваше имя</li>
                        <li>Что хотите заказать</li>
                        <li>Ваш номер телефона</li>
                        </ul> 
                        <button tupe="submit" class="btn btn-primary">Отправить</button>                  
                    </div>
                    <div class="inputList">
                        <ul>
                        <li><input type="text" name="name" class="inputName"></li>
                        <li><input type="text" name="type" class="inputType"></li>
                        <li><input type="tel" name="phone" class="inputPhoneNum"></li>                        
                        </ul>    
                    </div>     
                </form>
            </div>
        </div>
        <div class="map">
            <ul>
            <li>Доставка заказов осуществляется по Ласарте, а так же, по договоренности, в Сан-Себастьян и Ирун</li>
            <li><iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d23243.964579323183!2d-2.0384718683955825!3d43.26199260430818!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0xd51b1ae40bbac1d%3A0xcaab8c4c0846ebe5!2z0JvQsNGB0LDRgNGC0LUt0J7RgNC40Y8sINCT0LjQv9GD0YHQutC-0LAsINCY0YHQv9Cw0L3QuNGP!5e0!3m2!1sru!2sua!4v1702325870304!5m2!1sru!2sua" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe></li>
            </ul>
        </div>
        </div>
        <div class="shadowBorderBottom"></div>
</section>

    <script src="node_modules/axios/dist/axios.min.js"></script>
    <script>
        const TOKEN ="6953312049:AAGNfZbVQjq6z7bk4belR7MAplksAIXkJ-I";
        const CHAT_ID ="-1002091805870";
        const URI_API =`https://api.telegram.org/bot${ TOKEN }/sendMessage`;
        document.getElementById('tg').addEventListener('submit', function(e) {
            e.preventDefault();
            let message = `<b>Привет, меня зовут </b>${this.name.value}\n<b>Я хочу заказать </b>${this.type.value}\n<b>Перезвоните по номеру </b>${this.phone.value}`
            axios.post(URI_API, {
                chat_id: CHAT_ID,
                parse_mode: 'html',
                text: message
            })
        }) 
    </script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>    
    <script>
        function slowScroll(id) {
            $('html, body').animate({ 
                scrollTop: $(id).offset().top
            }, 500);
        }
    </script>
</body>
</html>